summaryrefslogtreecommitdiff
path: root/.config/login.d
diff options
context:
space:
mode:
authorLuke Shumaker <shumakl@purdue.edu>2015-02-09 22:15:40 -0500
committerLuke Shumaker <lukeshu@sbcglobal.net>2015-02-09 22:41:11 -0500
commita6fe4bac238a28521aa1a4fec3f5c690eab9eae3 (patch)
treea0d0b0f2108d2bf03fad5c2919823d6647d17d1f /.config/login.d
parent48920ead84a9f2352cedc4819144cb27da904873 (diff)
xdg.sh: make readable by /bin/sh
Diffstat (limited to '.config/login.d')
-rw-r--r--.config/login.d/01_xdg.sh21
1 files changed, 10 insertions, 11 deletions
diff --git a/.config/login.d/01_xdg.sh b/.config/login.d/01_xdg.sh
index d415608..4464764 100644
--- a/.config/login.d/01_xdg.sh
+++ b/.config/login.d/01_xdg.sh
@@ -1,33 +1,32 @@
-#!/bin/bash
-# This should be readable by /bin/sh, but I'm going to assume bash.
+# This should be readable by /bin/sh
# Sets up XDG environmental variables, so programs using them don't have to
# worry about checking if they are set.
# http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
-[[ -n $XDG_DATA_HOME ]] || export XDG_DATA_HOME="$HOME/.local/share"
-[[ -n $XDG_CONFIG_HOME ]] || export XDG_CONFIG_HOME="$HOME/.config"
-[[ -n $XDG_DATA_DIRS ]] || export XDG_DATA_DIRS="/usr/local/share/:/usr/share/"
-[[ -n $XDG_CONFIG_DIRS ]] || export XDG_CONFIG_DIRS="/etc/xdg"
-[[ -n $XDG_CACHE_HOME ]] || export XDG_CACHE_HOME="$HOME/.cache"
+[ -n "$XDG_DATA_HOME" ] || export XDG_DATA_HOME="$HOME/.local/share"
+[ -n "$XDG_CONFIG_HOME" ] || export XDG_CONFIG_HOME="$HOME/.config"
+[ -n "$XDG_DATA_DIRS" ] || export XDG_DATA_DIRS="/usr/local/share/:/usr/share/"
+[ -n "$XDG_CONFIG_DIRS" ] || export XDG_CONFIG_DIRS="/etc/xdg"
+[ -n "$XDG_CACHE_HOME" ] || export XDG_CACHE_HOME="$HOME/.cache"
# Check if XDG_RUNTIME_DIR is set, but has a bogus setting
-if [[ -n $XDG_RUNTIME_DIR ]] && [[ ! -d $XDG_RUNTIME_DIR ]]; then
+if [ -n "$XDG_RUNTIME_DIR" ] && [ ! -d "$XDG_RUNTIME_DIR" ]; then
unset XDG_RUNTIME_DIR
fi
# Set XDG_RUNTIME_DIR if we can
-if [[ -z $XDG_RUNTIME_DIR ]] && type flock &>/dev/null; then
+if [ -z "$XDG_RUNTIME_DIR" ] && type flock &>/dev/null; then
_diy_xdg_runtime_login() {
export XDG_RUNTIME_DIR="$XDG_CACHE_HOME/xdg-runtime-dir/$HOSTNAME"
# There's a race condition here, between the `ln -s` and `flock`.
# But it's not like I'll be hammering a box with logins.
- if [[ ! -d "$XDG_RUNTIME_DIR" ]]; then
+ if [ ! -d "$XDG_RUNTIME_DIR" ]; then
local tmp="$(mktemp -d --tmpdir -- "${USER}@${HOSTNAME}-runtime.XXXXXXXXXX")"
mkdir -p -- "$XDG_CACHE_HOME/xdg-runtime-dir"
ln -sfT -- "$tmp" "$XDG_RUNTIME_DIR"
fi
- if ! [[ /dev/fd/7 -ef "$XDG_CACHE_HOME/xdg-runtime-dir/.lock" ]]; then
+ if ! [ /dev/fd/7 -ef "$XDG_CACHE_HOME/xdg-runtime-dir/.lock" ]; then
exec 7>"$XDG_CACHE_HOME/xdg-runtime-dir/.lock"
if flock -sn 7; then
# Unfortunately this doesn't survive across exec(1).